<template>
  <div class="d-flex flex-grow-1 position-relative">
    <div
      class="show-menu d-none"
      @click="showFavoriteList(false)"
      ref="ShowMenu"
    >
      <svg class="icon icon-Component-158--5">
        <use xlink:href="#icon-Component-158--5"></use>
      </svg>
    </div>

    <help-content></help-content>
  </div>
</template>

<script>
import { mapState, mapActions } from "pinia";



export default {
  beforeMount() {
    this.httpService = new HttpService(import.meta.env.VITE_REPO_BASE_URL);
  },
  data() {
    return {
      httpService: undefined,
      statusFavoriteMenu: false,
    };
  },

  methods: {
    ...mapActions(["checkPermissions"]),

    openPagGrup(data) {
      this.enablePanelToggling = data;
      if (this.enablePanelToggling == 1) {
        this.showToggleListPanel();
      }
    },

    //To close the menu
    closeMenu(event) {
      // this.$refs.favoriteList.$el.classList.toggle("d-none");
      this.$refs.favoriteList.$el.classList.add("d-none");
      this.$refs.ShowMenu.classList.remove("d-none");
      // console.log(this.statusFavoriteMenu);
      // this.statusFavoriteMenu = event;
      // if (event == true) {
      //   this.$refs.ShowMenu.classList.add("d-none");
      // } else {
      //   this.$refs.ShowMenu.classList.remove("d-none");
      // }
    },
    showFavoriteList(event) {
      this.$refs.favoriteList.$el.classList.remove("d-none");
      this.$refs.ShowMenu.classList.add("d-none");
    },
    //To show the menu
    showMenu() {
      this.$refs.favoriteList.$el.classList.add("d-none");
    },
  },

};
</script>
